/*
 *========================================================================
 * $Id: maxsize.h,v 1.1.1.1 2001/04/20 14:06:55 rgb Exp $
 *
 * See copyright in copyright.h and the accompanying file COPYING
 *========================================================================
 */

#include "copyright.h"

#include <signal.h>
#include <sys/types.h>
#include <sys/time.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <math.h>

/*
 *========================================================================
 * Useful defines
 *========================================================================
 */

#define STDIN	stdin
#define STDOUT	stdout
#define STDERR	stderr
#define YES	1
#define NO	0
#define PI 3.141592653589793238462643

 /*
  *========================================================================
  * Subroutine Prototypes
  *========================================================================
  */
 void Usage();
 double maxdouble();
 float maxfloat();

 /*
  *========================================================================
  * Global Variables
  *
  * Set the default values and override from the command line in parsecl().
  *========================================================================
  */
 int verbose;

